<!-- ko if:stageOne() -->
<div  class="oj-flex-item oj-lg-4">

            <div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <!--<div class="mt20 danger">
                        <span data-bind="text:message"></span>
                    </div>-->
                </div>
            </div>
			
			
	<div class="oj-flex oj-flex-items-pad cust-details">
        <div class="oj-flex-item oj-sm-12 label">
            <oj-label class="oj-label" ><span data-bind="text:resource.AccountTransfer.title"></span></oj-label>
        </div>
     </div>
	 
	 <div class="oj-flex oj-flex-items-pad">
		<div class="oj-flex-item oj-sm-12  label">
			<label class="oj-label" data-bind="text:resource.AccountTransfer.transfertype"></label>
		</div>
		<div class="oj-flex-item oj-sm-12 ">
			<oj-buttonset-one id="transferType" value="{{transferType}}" on-value-changed="[[$component.transferTypeChange]]" >
				<!-- ko foreach: transferTypeArray -->
				<oj-option name="transferType" value="{{id}}" :id="[[id]]">
					<span data-bind="attr: {for: id},text: label "></span>
				</oj-option>
				<!-- /ko -->
			</oj-buttonset-one>
		</div>
     </div>
	 
	 <div class="oj-flex oj-flex-items-pad">
		<div class="oj-flex-item oj-sm-12">
			<oj-label for="amount"><span data-bind="text:resource.AccountTransfer.sendAmount"></span>
			</oj-label>
		</div>
		<div class="oj-flex-item oj-sm-12">
			<oj-input-text id="amount" value="{{amount}}"></oj-input-text>
		</div>
     </div>
	
	<!--
          <div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <oj-label for="senderAccountNo"><span data-bind="text:resource.AccountTransfer.sourceAccount"></span>
                    </oj-label>
                </div>
				
                <div class="oj-flex-item oj-sm-12" >
                    <oj-input-text id="senderAccountNo" value="{{senderAccountNo}}" ></oj-input-text>
                </div>
				
				<div class="oj-flex-item oj-sm-6">
					<oj-button class="action-button-primary" on-click="[[$component.validateSenderAccount]]">
						<span data-bind="text:resource.AccountTransfer.validate"></span>
					</oj-button>
				 </div>
				
		</div>	
		-->
		
		 <div class="oj-sm-12 oj-lg-12">
                    <account-input
                        params="baseModel : $baseModel, rootModel: $data ,label : $component.resource.AccountTransfer.sourceAccount,
                            type : 'balance' , account : senderAccountNo, additionalDetails : additionalDetails, validator:$component.validationTracker,
							customURL : $component.combineRest, accountsParser : $component.accountsParser">
                    </account-input>
          </div>
		
		
			
		<!-- ko ifnot:selfTransfer() -->
			<div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <oj-label for="beneficiaryAccountNo"><span data-bind="text:resource.AccountTransfer.beneficiaryAccountNo"></span>
                    </oj-label>
                </div>
                <div class="oj-flex-item oj-sm-12">
                    <oj-input-text id="beneficiaryAccountNo" value="{{beneficiaryAccountNo}}"></oj-input-text>
                </div>
				
            </div>
			
			<div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <oj-label for="beneficiaryName"><span data-bind="text:resource.AccountTransfer.beneficiaryName"></span>
                    </oj-label>
                </div>
                <div class="oj-flex-item oj-sm-12">
                    <oj-input-text id="beneficiaryName" value="{{beneficiaryName}}"></oj-input-text>
                </div>
            </div>
		<!-- /ko -->
		
		<!-- ko if:selfTransfer() -->
		    <div class="oj-sm-12 oj-lg-12">
                    <account-input
                        params="baseModel : $baseModel, rootModel: $data ,label : $component.resource.AccountTransfer.beneficiaryAccountNoSelect,
                            type : 'balance' , account : beneficiaryAccountSelf ,beneficiaryAccountDetails : beneficiaryAccountDetails,validator:$component.validationTracker,
							customURL : $component.combineRest, accountsParser : $component.accountsParser">
                    </account-input>
              </div>
		
		<!-- /ko -->
			
			
			
		<div class="oj-flex-item oj-sm-12">
            <oj-radioset class="payments-money-transfer__radiosetSpacing oj-choice-direction-row"
                :id="transferWhen"
                :aria-label="[[$component.resource.AccountTransfer.transferWhen]]"
                on-value-changed="[[$component.transferWhenChange]]" value="{{transferWhen}}">
                <!-- ko foreach: transferPeriodArray -->
                <oj-option name="transferWhen1" value="{{id}}" :id="[[id]]" :data-id="[[id]]">
					<span class="label"
							data-bind="attr: {for: id},text: label"></span>
				</oj-option>
                <!-- /ko -->
            </oj-radioset>
        </div>
	   <!--  <div class="oj-flex-item oj-sm-6 oj-lg-12 oj-md-6">
             <row params="baseModel : $baseModel, rootModel : $component, label : $component.resource.AccountTransfer.beneficiaryName,
	            dataClass :'highlight-text' , value :$component.beneficiaryName"></row>
		 </div>
		 -->
		 
		 <div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <oj-label for="purpose"><span data-bind="text:resource.AccountTransfer.purpose"></span>
                    </oj-label>
                </div>
                <div class="oj-flex-item oj-sm-12">
                    <oj-input-text id="purpose" value="{{purpose}}"></oj-input-text>
                </div>
	      </div>
		  
		  <div class="oj-flex oj-flex-items-pad">
                <div class="oj-flex-item oj-sm-12">
                    <oj-label for="beneficiaryEmail"><span data-bind="text:resource.AccountTransfer.beneficiaryEmail"></span>
                    </oj-label>
                </div>
                <div class="oj-flex-item oj-sm-12">
                    <oj-input-text id="beneficiaryEmail" value="{{beneficiaryEmail}}"></oj-input-text>
                </div>
	      </div>
		   

            <div class="oj-flex oj-flex-items-pad center">
                <div class="oj-flex-item oj-sm-12">
                    <oj-button id="login-button" class="loginButton action-button-primary"
                        on-click="[[$component.submit]]">
                        <span data-bind="text:$component.resource.AccountTransfer.submit"></span>
                    </oj-button>
                </div>
            </div>
       
   
</div>

<!-- /ko -->
<!-- ko if:stageTwo() -->

<!-- /ko -->
